RagTime5LayoutInternal::PageDataParser Struct Reference documentation

RagTime5LayoutInternal::PageDataParser Struct Referencefinal

Internal: the helper to read a extra page data. More...

Inheritance diagram for RagTime5LayoutInternal::PageDataParser:

## Public Member Functions
| PageDataParser (int fieldSize, std::string const &zoneName)
| constructor
| ~PageDataParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes
int | m_fieldSize
| the field size

## Private Member Functions
| PageDataParser (PageDataParser &orig)=delete
| copy constructor, not implemented
PageDataParser & | operator= (PageDataParser &orig)=delete
| copy operator, not implemented

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a extra page data.

## Constructor & Destructor Documentation

## ◆ PageDataParser() [1/2]

RagTime5LayoutInternal::PageDataParser::PageDataParser | ( | int | fieldSize,
|  | std::string const & | zoneName )
| inline

constructor

Referenced by operator=(), and PageDataParser().

## ◆ ~PageDataParser()

RagTime5LayoutInternal::PageDataParser::~PageDataParser | ( |  | ) |
| final

destructor

## ◆ PageDataParser() [2/2]

RagTime5LayoutInternal::PageDataParser::PageDataParser | ( | PageDataParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

PageDataParser & RagTime5LayoutInternal::PageDataParser::operator= | ( | PageDataParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5LayoutInternal::PageDataParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5LayoutInternal::PageDataParser::m_fieldSize

the field size

Referenced by PageDataParser(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx